# Add delayed ground truth (optional)

If ground truth becomes available at some point in the future, you can add it to nannyML Cloud by using the method `add_analysis_target_data` from the [Model](https://nannyml.github.io/nannyml-cloud-sdk/api_reference/monitoring/model/) class.

<pre class="language-python"><code class="lang-python"><strong># If you have delayed access to ground truth, you can add them to NannyML Cloud
</strong># later. This will match analysis &#x26; target datasets using an identifier column.
delayed_ground_truth = pd.DataFrame()
nml_sdk.monitoring.Model.add_analysis_target_data(model['id'], delayed_ground_truth)

# Trigger analysis of the new data
nml_sdk.monitoring.Run.trigger(model['id'])
</code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nannyml.com/cloud/v0.24.1/nannyml-cloud-sdk/example/add-delayed-ground-truth-optional.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
